When upgrading to 2.10.4, I got this:

 Couldn't install dependencies.
The process has been signaled with signal "9".

What does that mean?